Bug 43915 - Build Configuration Support for MathML in Chromimum
Summary: Build Configuration Support for MathML in Chromimum
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-12 07:24 PDT by Alex Milowski
Modified: 2010-08-16 11:05 PDT (History)
2 users (show)

See Also:


Attachments
Patch to add MathML to build (4.75 KB, patch)
2010-08-12 07:24 PDT, Alex Milowski
no flags Details | Formatted Diff | Diff
Updated patch with ENABLE_MATHML=0 in features (4.75 KB, patch)
2010-08-12 10:06 PDT, Alex Milowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Milowski 2010-08-12 07:24:44 PDT
Created attachment 64220 [details]
Patch to add MathML to build

This patch adds support for turning on MathML in the chromium build.
Comment 1 Jeremy Orlow 2010-08-12 09:39:33 PDT
Comment on attachment 64220 [details]
Patch to add MathML to build

WebKit/chromium/features.gypi:62
 +          'ENABLE_MATHML=1',
Let's get in the rest minus this part now, and start the discussion about doing this.  Sound good?
Comment 2 Alex Milowski 2010-08-12 10:06:03 PDT
Created attachment 64232 [details]
Updated patch with ENABLE_MATHML=0 in features
Comment 3 Alex Milowski 2010-08-12 10:06:38 PDT
(In reply to comment #1)
> (From update of attachment 64220 [details])
> WebKit/chromium/features.gypi:62
>  +          'ENABLE_MATHML=1',
> Let's get in the rest minus this part now, and start the discussion about doing this.  Sound good?

I just set ENABLE_MATHML to '0' so that people know that the flag is there to
turn on.
Comment 4 WebKit Commit Bot 2010-08-12 21:47:24 PDT
Comment on attachment 64232 [details]
Updated patch with ENABLE_MATHML=0 in features

Rejecting patch 64232 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--wait-for-httpd', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Running build-dumprendertree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 20832 test cases.
transitions/transition-end-event-transform.html -> failed

Exiting early after 1 failures. 19785 tests run.
771.14s total testing time

19784 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
275 test cases (1%) had stderr output

Full output: http://queues.webkit.org/results/3710122
Comment 5 Alex Milowski 2010-08-13 05:07:25 PDT
I don't think this failure has anything to do with this patch.  Can we try again?
Comment 6 Eric Seidel (no email) 2010-08-13 21:33:15 PDT
Comment on attachment 64220 [details]
Patch to add MathML to build

Cleared Jeremy Orlow's review+ from obsolete attachment 64220 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 7 Alex Milowski 2010-08-16 04:09:17 PDT
(In reply to comment #4)
> (From update of attachment 64232 [details])
> Rejecting patch 64232 from commit-queue.
> 
> Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--wait-for-httpd', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
> Running build-dumprendertree
> Compiling Java tests
> make: Nothing to be done for `default'.
> Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
> Testing 20832 test cases.
> transitions/transition-end-event-transform.html -> failed
> 
> Exiting early after 1 failures. 19785 tests run.
> 771.14s total testing time
> 
> 19784 test cases (99%) succeeded
> 1 test case (<1%) had incorrect layout
> 275 test cases (1%) had stderr output
> 
> Full output: http://queues.webkit.org/results/3710122

This output doesn't tell me anything.  Since these tests aren't
using the changes to the Chromium build, I highly doubt they are
related.
Comment 8 Eric Seidel (no email) 2010-08-16 07:18:52 PDT
Comment on attachment 64232 [details]
Updated patch with ENABLE_MATHML=0 in features

Flaky test.
Comment 9 WebKit Commit Bot 2010-08-16 11:05:04 PDT
Comment on attachment 64232 [details]
Updated patch with ENABLE_MATHML=0 in features

Clearing flags on attachment: 64232

Committed r65441: <http://trac.webkit.org/changeset/65441>
Comment 10 WebKit Commit Bot 2010-08-16 11:05:09 PDT
All reviewed patches have been landed.  Closing bug.